/* Static library providing methods for reading ByteVoxmaps from and writing
 * them to .pvl.nc file sets (Drishti format).
 */
#ifndef PVL_NC_FILE_H
#define PVL_NC_FILE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "ByteVoxmap.h"
#include "File.h"
#include "XmlFile.h"
#include "numbers.h"

/* Load a ByteVoxmap from a .pvl.nc file set.
 */
ByteVoxmap *byte_voxmap_new_load_pvl_nc(
    ByteVoxmap **p_this,
    char *filename_stub);

/* Save a ByteVoxmap to a .pvl.nc file set.
 */
void byte_voxmap_save_pvl_nc(ByteVoxmap *this, char *filename_stub);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* _H */
